C    SLA_EVP - Earth Position & Velocity
C    ACTION:
C    Barycentric and heliocentric velocity and position of the Earth.
C    CALL sla_EVP (DATE, DEQX, DVB, DPB, DVH, DPH)
C
C    GIVEN:
C    DATE D TDB (formerly ET) as a Modified Julian Date (JD-2400000.5)
C    DEQX D Julian Epoch (e.g. 2000D0) of mean equator and equinox of the
C           vectors returned. If DEQX <0, all vectors are referred to the
C           mean equator and equinox (FK5) of date DATE.
C
C    RETURNED:
C
C      DVB D(3) barycentric [xdot, ydot, zdot], AU s-1
C      DPB D(3) barycentric [x, y, z], AU
C      DVH D(3) heliocentric [xdot, ydot, zdot], AU s-1
C      DPH D(3) heliocentric [x, y, z], AU
C
C      NOTES:
C     1.   This routine is used when accuracy is more important than CPU
C          time, yet the extra complication of reading a pre-computed
C          ephemeris is not justified. The maximum deviations from the
C          JPL DE96 ephemeris are as follows:
C             + velocity (barycentric or heliocentric): 420 mm s-1
C             + position (barycentric): 6900 km
C             + position (heliocentric): 1600 km
C     2.   The routine is an adaption of the BARVEL and BARCOR subroutines of
C          P.Stumpff, which are described in Astr.Astrophys.Suppl.Ser. 41,
C          1-8 (1980). Most of the changes are merely cosmetic and do not
C          affect the results at all. However, some adjustments have been
C          made so as to give results that refer to the new (IAU 1976 `FK5')
C          equinox and precession, although the differences these changes
C          make relative to the results from Stumpff's original `FK4' version
C          are smaller than the inherent accuracy of the algorithm. One minor
C          shortcoming in the original routines that has not been corrected
C          is that slightly better numerical accuracy could be achieved if
C          the various polynomial evaluations were to be so arranged that the
C          smallest terms were computed first. Note also that one of
C          Stumpff's precession constants differs by
C          0.001 arcsec from the value given in the Explanatory Supplement.
C
C	usage for earth/sun velocity and position, J2000
C
	call sla_EVP (TDB, 2000d0, DVB, DPB, DVH, DPH)
